package org.jeecg.modules.pay.request.v3.los;

/**
 * 拆单信息
 * 收银台下单请求报文
 * 交易接口V3.0下订单类接口
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class OutSplitInfoRequest {

    private OutSplitInfoRequest() {
    }

    /**
     * 初始化拆单信息
     *
     * @param out_sub_order_no 外部子订单号
     * @param merchant_no      商户号
     * @param term_no          终端号
     * @param amount           金额
     */
    public OutSplitInfoRequest(String out_sub_order_no, String merchant_no, String term_no, String amount) {
        this.out_sub_order_no = out_sub_order_no;
        this.merchant_no = merchant_no;
        this.term_no = term_no;
        this.amount = amount;
    }

    /**
     * 外部子订单号
     */
    private String out_sub_order_no;

    /**
     * 商户号
     * 拉卡拉分配的商户号
     */
    private String merchant_no;

    /**
     * 终端号
     * 拉卡拉分配的业务终端号
     */
    private String term_no;

    /**
     * 金额
     * 单位分，整数型字符
     */
    private String amount;

    /**
     * 结算类型（合单）
     * “0”或者空，常规结算方式
     */
    private String settle_type;

    public String getOut_sub_order_no() {
        return out_sub_order_no;
    }

    public void setOut_sub_order_no(String out_sub_order_no) {
        this.out_sub_order_no = out_sub_order_no;
    }

    public String getMerchant_no() {
        return merchant_no;
    }

    public void setMerchant_no(String merchant_no) {
        this.merchant_no = merchant_no;
    }

    public String getTerm_no() {
        return term_no;
    }

    public void setTerm_no(String term_no) {
        this.term_no = term_no;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getSettle_type() {
        return settle_type;
    }

    public void setSettle_type(String settle_type) {
        this.settle_type = settle_type;
    }
}
